org.eclipse.ease.modules

## Class AbstractScriptModule

- java.lang.Object
- - org.eclipse.ease.modules.AbstractScriptModule

All Implemented Interfaces:
  IScriptModule

Direct Known Subclasses:
  AbstractEnvironment

    public abstract class AbstractScriptModule
    extends Object
    implements IScriptModule

Base class to be used for modules. Handles retrieval of script engine and environment module.

### Constructor Summary

Constructors
Constructor and Description
`AbstractScriptModule()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IScriptEngine` `getScriptEngine()` Get the current script engine.
`void` `initialize(IScriptEngine engine, IEnvironment environment)` Provides script engine and environment instances.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractScriptModule

    public AbstractScriptModule()

### Method Detail

#### initialize

    public void initialize(IScriptEngine engine,
                           IEnvironment environment)

Description copied from interface: `IScriptModule`
Provides script engine and environment instances.

Specified by:
  `initialize` in interface `IScriptModule`
Parameters:
  `engine` - script engine this module is loaded in
  `environment` - environment module that tracks this module

#### getScriptEngine

    public IScriptEngine getScriptEngine()

Get the current script engine.

Returns:
  script engine